This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 506646 - fop does not support fontsets properly
fop does not support fontsets properly
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fop (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks: 655710
  Show dependency treegraph
 
Reported: 2009-06-18 00:21 EDT by Jens Petersen
Modified: 2015-02-18 06:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:05:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
image showing proper rendering of installation pdf 2nd page last line (9.16 KB, image/png)
2011-05-17 05:30 EDT, Pravin Satpute
no flags Details

  None (edit)
Description Jens Petersen 2009-06-18 00:21:26 EDT
Description of problem:
It is a long-standing problem that publican books can be generated correctly for Indic since Indic (Indian) fonts do not include ASCII glyphs.

If fop was able to fallback to fonts or better use pango or some similar font abstraction to isolate the hardcoding of fonts from fop itself then this would just work.  This requires some work upstream I guess but I would like to track this here in the open for fedora.
Comment 2 Jens Petersen 2009-10-01 20:18:31 EDT
Wed May 27 05:14:58 2009 rbhalera@redhat.com:
"The problem with fop is not just that of per-glyph font selection.
At some place in publican, two fonts are declared for Chinese text. Not sure if that works correctly or not. The same setup for Hindi fonts did not work.
Instead I actually used 'Sarai' font in the configuration in place of lohit. Sarai includes glyphs for both hindi and latin text. This solved the problem for english text. If at all per-glyph selection is not a quick fix, this approach can be used for rest of the languages as well. 
But it still wont solve the bigger problem, i.e. rendering of indic text.

Currently FOP is not using any rendering/layout engine such as pango or qt for indic text rendering. So the generated pdf shows all of the indic text broken. So, Unless the indic rendering is fixed (using pango looks viable option) there is no quick fix to this problem."
Comment 3 Bug Zapper 2009-11-16 05:13:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Admin XMLRPC Client 2010-08-24 21:36:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2010-11-04 07:05:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jens Petersen 2010-11-18 21:31:04 EST
Looks like this is much better with fop-1.0.

http://petersen.fedorapeople.org/Fedora-14-Installation_Guide-bn-IN-fop-1.0.pdf

It is already in fedora package SCM, but there seem
to be some build issues still so it is not yet in rawhide.
Comment 8 Fedora Admin XMLRPC Client 2010-12-05 22:33:40 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Alexander Kurtakov 2011-03-11 05:08:53 EST
Can you test with http://koji.fedoraproject.org/koji/buildinfo?buildID=233054 ?
Comment 10 Alexander Kurtakov 2011-05-16 10:01:28 EDT
I'm closing this bug since noone answered in more than 2 months. Please reopen with details about the problem with latest fop in fedora as requested in the previous mail if the problem is still here.
Comment 11 Jens Petersen 2011-05-16 16:58:31 EDT
Sorry, missed your question... let me try to retest with 1.0,
but from my earlier testing of 1.0 it was still not sufficient
to render complex text like Indic - but that is probably another bug. :)
Comment 12 Pravin Satpute 2011-05-17 04:24:12 EDT
(In reply to comment #7)
> Looks like this is much better with fop-1.0.
> 
> http://petersen.fedorapeople.org/Fedora-14-Installation_Guide-bn-IN-fop-1.0.pdf
> 
> It is already in fedora package SCM, but there seem
> to be some build issues still so it is not yet in rawhide.

Now this pdf shows the shapes of Bengali characters, complex script rendering not working properly (reodering of characters, open type fonts gsub/gpos rules not working)
Comment 13 Alexander Kurtakov 2011-05-17 04:41:49 EDT
Can you post an image showing how it should look?
Comment 14 Pravin Satpute 2011-05-17 05:30:50 EDT
Created attachment 499292 [details]
image showing proper rendering of installation pdf 2nd page last line

don't have source of above installation guide, but on second page, there is one line at the bottom

it should look like as per attachment.
Comment 15 Jens Petersen 2011-05-17 22:19:23 EDT
I think it is better to open a new bug for complex text rendering problems,
since this fontset is rather old and has now been resolved I think upstream.
Fixing the complex-text is probably going to be harder than fontsets...
Comment 16 Parag Nemade 2011-12-21 05:01:01 EST
This bug should have resolved now right?
Comment 17 Parag Nemade 2011-12-21 05:07:51 EST
ah! looks like as publican got new alternative this bug remained for CTL.
Comment 18 Fedora End Of Life 2013-04-03 16:33:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 19 Fedora End Of Life 2015-01-09 17:27:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-02-18 06:05:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.